using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using xabaraCOM;

public partial class webXabara_user_exe : System.Web.UI.Page
{
    admin a = new admin();
    sqlServer sql = new sqlServer();

    protected void Page_Load(object sender, EventArgs e)
    {
        a.check(string.Empty);

        string uID = xabara.safeSql(Request["id"]).Trim();
        string ifStr = string.Empty;
        string pageStr = string.Empty;

        if (!uID.Equals("a"))
        {
            ifStr = " and userID='" + uID + "'";
        }
        else
        {
            //ifStr = " and userID<>'xabara'";
            pageStr = "&id=a";
        }

        string strSql = "select * from logLogin where userType='user' " + ifStr + " order by id DESC";
        lblCurrentPage.Text = sql.RepeaterDB(RepeaterList, strSql, pageStr, 20, "page", "center", true);
    }

    public string ipStr(string str)
    {
        return new ipAddress().addressCN(str);
    }
}